#ifndef _HILDON_HEADERS_H_
# define _HILDON_HEADERS_H_
# ifdef USE_HILDON

#		ifndef MAEMO_CHANGES
#			define MAEMO_CHANGES
#		endif /* !MAEMO_CHANGES */

/* Make sure we have the detected values for MAJOR/MINOR/MICRO */
#		ifndef DETECTED_HILDON_MAJOR
#			define DETECTED_HILDON_MAJOR 2
#		endif /* !DETECTED_HILDON_MAJOR */

#		ifndef DETECTED_HILDON_MINOR
#			define DETECTED_HILDON_MINOR 2
#		endif /* !DETECTED_HILDON_MINOR */

#		ifndef DETECTED_HILDON_MICRO
#			define DETECTED_HILDON_MICRO 23
#		endif /* !DETECTED_HILDON_MICRO */

/* Include the right header files */
#   if (DETECTED_HILDON_MAJOR > 0)
#     include <hildon/hildon.h>
#   else /* (DETECTED_HILDON_MAJOR <= 0) */
#     include <hildon-widgets/hildon-number-editor.h>
#     include <hildon-widgets/hildon-window.h>
#     include <hildon-widgets/hildon-program.h>
#     include <hildon-widgets/gtk-infoprint.h>
#   endif /* (DETECTED_HILDON_MAJOR > 0) */

/* Make sure we have HILDON_CHECK_VERSION even for old Hildon */
#		ifndef HILDON_CHECK_VERSION
#			ifndef HILDON_MAJOR_VERSION
#				define HILDON_MAJOR_VERSION DETECTED_HILDON_MAJOR
#			endif /* !HILDON_MAJOR_VERSION */
#			ifndef HILDON_MINOR_VERSION
#				define HILDON_MINOR_VERSION DETECTED_HILDON_MINOR
#			endif /* !HILDON_MINOR_VERSION */
#			ifndef HILDON_MICRO_VERSION
#				define HILDON_MICRO_VERSION DETECTED_HILDON_MICRO
#			endif /* !HILDON_MICRO_VERSION */
#			define HILDON_CHECK_VERSION(major,minor,micro)	\
			  (HILDON_MAJOR_VERSION > (major) || \
			  (HILDON_MAJOR_VERSION == (major) && HILDON_MINOR_VERSION  > (minor)) || \
			  (HILDON_MAJOR_VERSION == (major) && HILDON_MINOR_VERSION == (minor)  && \
			   HILDON_MICRO_VERSION >= (micro)))
#		endif /* !HILDON_CHECK_VERSION */
#		ifdef USE_HILDON_EXTRAS
#		include <hildon-extras/he-menu-view.h>
#		include <hildon-extras/he-cell-renderer-toggle.h>
#		endif /* USE_HILDON_EXTRAS */
#	endif /* USE_HILDON */
#endif /* !_HILDON_HEADERS_H_ */
